local insert = table.insert

if not AVR_BigWigs then
	AVR_BigWigs={}

	local BWL = LibStub("AceLocale-3.0"):GetLocale("Big Wigs: Common")
	if not BWL then return nil end
	local onYouPattern = BWL["you"]:gsub("%%s","(.+)")
	local onOtherPattern = BWL["other"]:gsub("%%s","(.+)")

	local stripColor=function(s)
		return s:gsub("|cff%x%x%x%x%x%x([^|]*)|r","%1")
	end

	AVR_BigWigs.getTargetFromMessage=function(text)	
		local target=nil
		if text:match(onYouPattern) then
			return "player"
		else
			local _,target=text:match(onOtherPattern)
			if target then return stripColor(target)
			else return nil end
		end
	end

	AVR_BigWigs.splitTarget=function(target)
		if target==nil then return {} end
		local targets={}
		local pos=strfind(target,",")
		while pos do
			local t=target:sub(1,pos-1):gsub("^%s*",""):gsub("%s*$","")
			if strlen(t)>0 then insert(targets,t) end
			target=target:sub(pos+1)
			pos=strfind(target,",")
		end
		local t=target:gsub("^%s*",""):gsub("%s*$","")
		if strlen(t)>0 then insert(targets,t) end
		return targets
	end
end
